from vvecon.zorion import utils

__all__ = ['Files']


class Files(utils.Files):
    common = utils.FileMaker(
        bootstrap='bootstrap.min',
        style='style',
    )

    css = utils.FileMaker(
        colors=('colors', 2),
        all='all.min',
        animate='animate.min',
        main='main',
        carousel='carousel.min',
    )

    js = utils.FileMaker(
        # JS
        serviceWorker='service-worker',
        bootstrap=('bootstrap/bootstrap', 1, 'util'),
        bootstrapBundle=('bootstrap/bootstrap.bundle.min', 1, 'util'),
        popper=('bootstrap/popper', 1, 'util'),
        jQuery=('jquery/jquery.min', 2, 'util'),
        slim=('jquery/slim', 1, 'util'),
        main='main',
        models='models',
        api='api',
        loader='Loader',
        util=('util', 2, 'util'),
        owl=('owl/owl', 1, 'util'),
        carousel=('owl/carousel.min', 1, 'util'),
        # Plugins
        moment=('ui/moment/moment.min', 1, 'util/vendor'),
        datePicker=('pickers/datepicker.min', 1, 'util/vendor'),
        dateRangePicker=('pickers/daterangepicker', 1, 'util/vendor'),
        steps=('forms/wizards/steps.min', 1, 'util/vendor'),
        validation=('forms/validation/validate.min', 1, 'util/vendor'),
        autoComplete=('forms/inputs/autocomplete.min', 1, 'util/vendor'),
        autoSize=('forms/inputs/autosize.min', 1, 'util/vendor'),
        gridJS=('tables/gridjs/gridjs.min', 1, 'util/vendor'),
        dataTable=('tables/datatables/datatables.min', 1, 'util/vendor'),
        sweetAlert=('notifications/sweet_alert.min', 1, 'util/vendor'),
        pdfmake=('tables/datatables/extensions/pdfmake/pdfmake.min', 1, 'util/vendor'),
        vfsFonts=('tables/datatables/extensions/pdfmake/vfs_fonts.min', 1, 'util/vendor'),
        buttons=('tables/datatables/extensions/buttons.min', 1, 'util/vendor'),
        responsive=('tables/datatables/extensions/responsive.min', 1, 'util/vendor'),
        fileInput=('uploaders/fileinput/fileinput.min', 1, 'util/vendor'),
        sortable=('uploaders/fileinput/plugins/sortable.min', 1, 'util/vendor'),
        cryptojs=('extensions/cryptojs', 1, 'util/vendor'),
        noUiSlider=('sliders/nouislider.min', 1, 'util/vendor'),
        prism=('ui/prism.min', 1, 'util/vendor'),
    )

    font = utils.FileMaker(
        poppins='poppins/poppins',
        inter='inter/inter',
    )

    icon = utils.FileMaker(
        phosphor='phosphor/styles.min',
        icomoon='icomoon/styles.min',
        bootstrap='bootstrap/bootstrap-icons.min',
    )
